> For the complete documentation index, see [llms.txt](https://qosic.gitbook.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://qosic.gitbook.io/api-documentation/api-teste-informations.md).

# API Teste informations

Avant de passer à la production, vous devez tester l'API QOS sur notre bac à sable sans aucun risque. Après vous être abonné à l'API, allez dans Paramètres>confidentialité pour obtenir vos informations d'identification qui vous aideront pour l'authentification et l'URL de base de production.<br>

Après avoir souscrit à l'API, allez dans Paramètres>Clé Api pour obtenir vos identifiants qui vous aideront pour l'authentification et l'URL de base de production.

```
Username: USR01
```

```
Password: YG739G5XFVPYYV4ADJVW
```

{% tabs %}
{% tab title="MTN BENIN API" %}

ClientID:

```
MTNTEST
```

Requestpayment Endpoint:

```http
http://staging.qosic.net:9010/QosicBridge/user/requestpayment
```

GetTransactionStatus Endpoint:

```http
http://staging.qosic.net:9010/QosicBridge/user/gettransactionstatus
```

Test number: use MTN BENIN phone number

```
229xxxxxxxx
```

{% endtab %}

{% tab title="MOOV BENIN API" %}

ClientID:

```
MOOVTEST
```

Requestpayment Endpoint:

```http
http://staging.qosic.net:9010/QosicBridge/user/requestpaymentmv
```

GetTransactionStatus Endpoint:

```http
http://staging.qosic.net:9010/QosicBridge/user/gettransactionstatus
```

Test number: use MOOV BENIN phone number

```
229xxxxxxxx
```

{% endtab %}
{% endtabs %}

### Note

Vous ne recevrez pas de poussée pour approuver la demande de transaction sur le sandbox. Vous ne recevrez un push pour approuver la demande de transaction que sur l'environnement de production.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://qosic.gitbook.io/api-documentation/api-teste-informations.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
